<div class="table-container">
  <ng-container *ngIf="(rsData$ | async) as rsData; else loading">
    <div class="filter-box">
      <div class="search-rs">
        <input class="search-rs-input" matInput
          placeholder="Ketik nama faskes untuk mencari"
          [(ngModel)]="filterText" (ngModelChange)="filterText$.next($event)">
        <mat-icon class="as-placeholder">search</mat-icon>
      </div>
      <div class="sorting">
        <mat-form-field>
          <mat-label>Urutkan berdasar</mat-label>
          <mat-select (selectionChange)="sortBy$.next($event.value)" value="date">
            <mat-option value="date">Data terbaru</mat-option>
            <mat-option *ngIf="userService?.user?.location" value="location">Lokasi terdekat</mat-option>
          </mat-select>
        </mat-form-field>
      </div>
    </div>
    <p class="count-info">Terdapat <strong>{{rsData.length}}</strong> data</p>
    <div class="table">
      <div class="table-scroll">
        <table class="table-main">
          <thead>
            <tr>
              <th class="fix-col"><div>Rumah Sakit</div></th>
              <th><div class="text-left">Provinsi</div></th>
              <!-- <th>Jenis</th>
              <th>RS Rujukan</th>
              <th>Jumlah Nakes</th>
              <th>Okupansi ICU</th>
              <th>Okupansi Isolasi</th> -->
              <th class="text-right"><div>Barang Dibutuhkan</div></th>
              <th class="text-right"><div>Barang Mendesak</div></th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let rs of rsData">
              <td class="fix-col">
                <div class="rs-name" [ngClass]="{'need-complete': !rs.placeData.kpData && userService.isModerator}">
                  <a [routerLink]="['/rs', rs.placeData.place.place_id]">
                    {{ rs.placeData.place.name }}
                  </a>
                  <div class="rs-attr">
                    <span>{{ utilService.timeAgo(rs.lastUpdateTs) }}</span>
                    <span *ngIf="rs.distanceToUser > 0">
                      {{rs.distanceToUser | number:'1.0-0':'id'}}km
                    </span>
                  </div>
                </div>
              </td>
              <td class="text-left"><div class="data-value">{{ getPropinsi(rs.placeData.place.address_components) }}</div></td>

              <!-- <td>RS</td>
              <td>Tidak</td>
              <td>100</td>
              <td>?</td>
              <td>?</td> -->
              <td class="text-right"><div class="data-value">{{rs.totalKebutuhan | number:'1.0-0':'id'}}</div></td>
              <td class="text-right text-danger"><div class="data-value">{{rs.totalMendesak | number:'1.0-0':'id'}}</div></td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </ng-container>
  <ng-template #loading>
    <div style="display:flex;align-items:center;justify-content:center;">
      <mat-spinner diameter="25"></mat-spinner>
    </div>
  </ng-template>
</div>



<!--
<div class="box-container">
  <div class="box" *ngFor="let rs of (rsData$ | async)">
    <mat-card [style.backgroundColor]="(rs.placeData.kpData || !userService.isModerator) ? '' : 'red'">
      <span *ngIf="rs.distanceToUser > 0" style="float: right; opacity: 50%;">
        {{rs.distanceToUser | number:'1.0-0':'id'}}km
      </span>
      <div class="box-header">
        <img [src]="rs.placeData.place.icon" height="15">
        <div>
          <a [routerLink]="['/rs', rs.placeData.place.place_id]">
            {{ rs.placeData.place.name }}
          </a>
        </div>
      </div>
      <p class="rs-address">{{ rs.placeData.place.formatted_address }} </p>
      <mat-divider></mat-divider>

      <p style="float: right; opacity: 50%;">{{ utilService.timeAgo(rs.lastUpdateTs) }}</p>
      <br style="clear: both;">

      <div class="box-child" *ngIf="userService.isRelawan && rs.suspects.length > 0">
        <h3>Suspects</h3>
        <ng-container *ngFor="let d of rs.suspects">
          <div class="box-child-item" [style.backgroundColor]="utilService.getColor(d.latest.ts)">
            <div class="item-label">{{ d.shortLabel }}</div>
            <div class="item-count">{{ d.value  | number:'1.0':'id' }}</div>
          </div>
        </ng-container>
      </div>
      <div class="box-child" *ngIf="rs.logistics.length > 0">
        <h3>Permintaan alat-alat</h3>
        <ng-container *ngFor="let d of rs.logistics">
          <div class="box-child-item" [style.backgroundColor]="utilService.getColor(d.latest.ts)">
            <div class="item-label">
              {{ d.shortLabel }}
              <b *ngIf="d.latest.status === ITEM_STATUS.out" style="color: red">(Out Of Stock)</b>
            </div>
            <div class="item-count">
              <div class="item-count-number">{{ d.value  | number:'1.0':'id' }}</div>
              <div class="item-unit-label">{{ d.unitLabel }}</div>
            </div>
          </div>
        </ng-container>
      </div>
      <div class="box-child" *ngIf="rs.beds.length > 0">
        <h3>Tempat Tidur</h3>
        <ng-container *ngFor="let d of rs.beds">
          <div class="box-child-item" [style.backgroundColor]="utilService.getColor(d.latest.ts)">
            <div class="item-label">
              {{ d.shortLabel }}
              <b *ngIf="d.latest.status === ITEM_STATUS.out" style="color: red">(Out Of Stock)</b>
            </div>
            <div class="item-count">{{ d.value  | number:'1.0':'id' }}</div>
          </div>
        </ng-container>
      </div>
      <div class="box-child" *ngIf="rs.availabilities.length > 0">
        <h3>Availabilities</h3>
        <ng-container *ngFor="let d of rs.availabilities">
          <div class="box-child-item" [style.backgroundColor]="utilService.getColor(d.latest.ts)">
            <div class="item-label">
              {{ d.shortLabel }}
              <b *ngIf="d.latest.status === ITEM_STATUS.out" style="color: red">(Out Of Stock)</b>
            </div>
            <div class="item-count">
              <div class="item-count-number">{{ d.value  | number:'1.0':'id' }}</div>
              <div class="item-unit-label">{{ d.unitLabel }}</div>
            </div>
          </div>
        </ng-container>
      </div>
    </mat-card>
  </div>
</div> -->
